<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iCelNavMeshParams Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a1af68f28bdf28f20ebdaee3ae3191a98">Clone</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a754b3c5b4cf5b821ace947cb96d81cf1">GetAgentHeight</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a4fd16c304963b49af28b7ee00cd2dc8d">GetAgentMaxClimb</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a83fcac9a4b4c814c018ba372bda2c6d2">GetAgentMaxSlopeAngle</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#ad9f2a84c17b3a6854fe56c7f9eb9c1c2">GetAgentRadius</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a96f47b09ac865b319d4662f7f37c6a4d">GetBorderSize</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#aa2f52b19396d8ed0fe3aa79559b5b0bd">GetCellHeight</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#acc591491bb34e79c6662517ad5ed7fff">GetCellSize</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a31060ad9b8027c144397384d3a73de57">GetDetailSampleDist</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a51dbf24fba9dee5ed0005fbbcb318d27">GetDetailSampleMaxError</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a37ff88785e6c94921da505895ef8b1c5">GetMaxEdgeLength</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a2e1cfdad666c5915343ae13e5bafd60a">GetMaxSimplificationError</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#ab0dd269061d2300d35274d4c768d0988">GetMaxVertsPerPoly</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a25314901847a3a0bdb091fc2f7fc95e9">GetMergeRegionSize</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a4f5a40cb600152a3c6ee28f18c8ff4ae">GetMinRegionSize</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#ad1e10d09eea2d168ff449365b9143ed1">GetPolygonSearchBox</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#ac00cec6af382156186c7f2a9faf16be4">GetTileSize</a>() const =0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a4b83ae584a09bb211acac0ea86dbd2a8">SetAgentHeight</a>(const float height)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a541e7dd6d56a8e9412d6e838ade73f59">SetAgentMaxClimb</a>(const float maxClimb)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#aea35d38a8e35a9eb5c3fc975ab93a968">SetAgentMaxSlopeAngle</a>(const float angle)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#ad8696024185f4df95ed91851a1711e0d">SetAgentRadius</a>(const float radius)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a19ca44dbc16ed12f8a8254d6e8ca3a02">SetBorderSize</a>(const int size)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a22d8b5b14e2d5043571e473bcae26ee8">SetCellHeight</a>(const float height)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a947751a88f4c0d7567b8f2ae76f59186">SetCellSize</a>(const float size)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a85358c599aac106cb155e9bf655cf55e">SetDetailSampleDist</a>(const float dist)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a663d66c7c6e96ff7909e9d0be11a3111">SetDetailSampleMaxError</a>(const float error)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a5d4facc510cc98b2dc0e03ab692fd306">SetMaxEdgeLength</a>(const int length)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a959f0402ac290e42167f39564728d095">SetMaxSimplificationError</a>(const float error)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a0f5932ad942d76fed8454b7afd55bc79">SetMaxVertsPerPoly</a>(const int maxVerts)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#abb0814b3b81b66127b0ec358c7149d67">SetMergeRegionSize</a>(const int size)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#acb7e333d31b6e7912f7708fa7b5373c6">SetMinRegionSize</a>(const int size)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a98a6caf18da8fc1cebd9d72416c40c60">SetPolygonSearchBox</a>(const csVector3 box)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a58010a9365c205fe3e3779f6574c7878">SetSuggestedValues</a>(float agentHeight, float agentRadius, float agentMaxSlopeAngle)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelNavMeshParams.html#a6766e98c8e47e14a5c7a6be684cbd3b9">SetTileSize</a>(const int size)=0</td><td><a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
